import { timeFormat, format } from 'd3';

const formatDate = timeFormat('%b %d');
const formatComma = format(',');

export const Tooltip = ({className, activeRow}) => (
  <text
    className={className}
    x={-10}
    y={-10}
    text-anchor="end"
  >
    {activeRow.countryName}:{' '}
    {formatComma(activeRow.deathTotal)} {activeRow.deathTotal > 1 ? 'deaths' : 'death'} as of{' '}
    {formatDate(activeRow.date)}
  </text>
);