import { Delaunay } from 'd3';
import { useMemo } from 'react';
export const VoronoiOverlay = ({
  width,
  height,
  allData,
  lineGenerator,
  onHover,
  margin
}) => {
  return useMemo(() => {
    console.log('memoing')
    const points = allData.map((d) => [
      lineGenerator.x()(d),
      lineGenerator.y()(d),
    ]);
    const delaunay = Delaunay.from(points);
    const voronoi = delaunay.voronoi([
      0,
      0,
      innerWidth + margin.right,
      innerHeight,
    ]);
      return points.map((point, i) => (
        <path
          onMouseEnter={() => onHover(allData[i])}
          className="voronoi"
          d={voronoi.renderCell(i)}
        />
      ))},
    [allData, onHover, innerWidth, innerHeight, lineGenerator]
  );
};
